Bug 1544612 (CVE-2018-6927) - CVE-2018-6927 kernel: Integer overflow in futex.c:futux_requeue can lead to denial of service or unspecified impact
Summary: CVE-2018-6927 kernel: Integer overflow in futex.c:futux_requeue can lead to d...
Status: CLOSED ERRATA
Alias: CVE-2018-6927
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20180212,reported=2...
Keywords: Security
Depends On: 1547584 1544614 1547583 1547585 1547586 1547587
Blocks: 1544615
TreeView+ depends on / blocked
 
Reported: 2018-02-13 03:59 UTC by Sam Fowler
Modified: 2019-06-11 11:13 UTC (History)
43 users (show)

(edit)
The futex_requeue function in kernel/futex.c in the Linux kernel, before 4.14.15, might allow attackers to cause a denial of service (integer overflow) or possibly have unspecified other impacts by triggering a negative wake or requeue value. Due to the nature of the flaw, privilege escalation cannot be fully ruled out, although we believe it is unlikely.
Clone Of:
(edit)
Last Closed: 2019-06-08 03:39:43 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:0654 None None None 2018-04-10 05:13 UTC
Red Hat Product Errata RHSA-2018:0676 None None None 2018-04-10 08:19 UTC
Red Hat Product Errata RHSA-2018:1062 None None None 2018-04-10 09:43 UTC

Description Sam Fowler 2018-02-13 03:59:50 UTC
The futex_requeue function in kernel/futex.c in the Linux kernel before 4.14.15 might allow attackers to cause a denial of service (integer overflow) or possibly have unspecified other impact by triggering a negative wake or requeue value. Due to the nature of the flaw, privilege escalation cannot be fully ruled out, although we believe it is unlikely.

References:

https://marc.info/?l=linux-kernel&m=151324233331151

An upstream patch:

https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?id=fbe0e839d1e22d88810f3ee3e2f1479be4c0aa4a

Comment 1 Sam Fowler 2018-02-13 04:00:46 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1544614]

Comment 2 Justin M. Forbes 2018-02-13 12:52:00 UTC
This was fixed in the 4.14.15 stable update for Fedora

Comment 5 Vladis Dronov 2018-02-21 14:57:17 UTC
Statement:

This issue affects the Linux kernel packages as shipped with Red Hat Enterprise Linux 5. This is not currently planned to be addressed in future updates of the product due to its life cycle. For additional information, refer to the Red Hat Enterprise Linux Life Cycle: https://access.redhat.com/support/policy/updates/errata/.

This issue affects the versions of the Linux kernel as shipped with Red Hat Enterprise Linux 6, 7, its real-time kernel, Red Hat Enterprise MRG 2, Red Hat Enterprise Linux 7 for ARM 64 and Red Hat Enterprise Linux 7 for Power 9 LE. Future Linux kernel updates for the respective releases may address this issue.

Comment 7 errata-xmlrpc 2018-04-10 05:12:51 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:0654 https://access.redhat.com/errata/RHSA-2018:0654

Comment 8 errata-xmlrpc 2018-04-10 08:19:12 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:0676 https://access.redhat.com/errata/RHSA-2018:0676

Comment 9 errata-xmlrpc 2018-04-10 09:43:08 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:1062 https://access.redhat.com/errata/RHSA-2018:1062


Note You need to log in before you can comment on or make changes to this bug.